%define pkgname anjuta

%define major 0
%define libname %mklibname %{pkgname} %major
%define libnamedev %mklibname %{pkgname}  -d

Summary:	Integrated development environment for C and C++ (Linux)
Name:		%{pkgname}2
Version:	2.4.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Other
URL:		http://anjuta.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/anjuta/%{pkgname}-%{version}.tar.bz2
# (fc) 2.4.2-2mdv fix build regarding underlinking
Patch0:		anjuta-2.4.2-underlinking.patch
# (fc) 2.4.2-2mdv link libegg with math library
Patch1:		anjuta-2.4.2-math.patch

BuildRequires:	perl-XML-Parser
BuildRequires:	libgladeui-devel >= 3.0.0
BuildRequires:	gtk+2-devel >= 2.4.0
BuildRequires:	libORBit2-devel >= 2.6
BuildRequires:	libgnome2-devel >= 2.6
BuildRequires:	libglade2.0-devel >= 2.3.0
BuildRequires:	libgnomeui2-devel >= 2.6.0
BuildRequires:	libgnomeprintui-devel >= 2.4.0
BuildRequires:	gnome-vfs2-devel >= 2.6.0
BuildRequires:	libxml2-devel >= 2.4.23
BuildRequires:	pango-devel >= 1.8
BuildRequires:	libgdl-devel >= 0.5
BuildRequires:	libxslt-devel
BuildRequires:	devhelp-devel >= 0.9
BuildRequires:	vte-devel >= 0.9.0
BuildRequires:	autogen-devel
BuildRequires:	autogen
BuildRequires:	gnome-build-devel >= 0.2.0
BuildRequires:	gtksourceview-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	subversion-devel >= 1.0.2
BuildRequires:	apr-util-devel >= 0.9.4
BuildRequires:	binutils-devel
BuildRequires:	pcre-devel
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gnome-doc-utils >= 0.4.2
BuildRequires:	apr-devel >= 1.2.2
BuildRequires:	gd-devel
BuildRequires:	graphviz-devel >= 2.2.1
BuildRequires:	scrollkeeper
BuildRequires:  howl-devel
BuildRequires:	glade3-devel
BuildRequires:	ImageMagick
Requires:	autogen
Suggests:	libglademm-devel
Suggests:	glade3
Provides:	anjuta = %{version}
Conflicts:	anjuta < 2
Conflicts:	%libnamedev < 2.3.1-2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-buildroot

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
on GNOME Desktop Environment and features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, powerful source editor,
syntax highlighting, intellisense autocompletions, symbol navigation,
version controls, integrated GUI designing and other tools.

Anjuta 2.x is the next generation Anjuta development studio with extensible
plugin architecture. The new architecture allows writing independent
plugins that could interact with existing plugins. Most of the older
features have been already ported to the new architecture and are working.

%package -n %{libname}
Summary: Anjuta 2 libraries
Group: System/Libraries

%description -n %{libname}
Anjuta 2 libraries

%package -n %{libnamedev}
Summary: Anjuta 2 devel files
Group: Development/Other
Requires: %libname = %version
Provides: libanjuta-devel
Conflicts: %name < 2.3.1-2
Obsoletes: %mklibname -d %{pkgname} %{major}

%description -n %{libnamedev}
Anjuta 2 devel files

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .underlinking
%patch1 -p1 -b .math

%{__perl} -pi -e "s|\<%_name\>|%name|g" anjuta.desktop.in.in
%{__perl} -pi -e "s|%_name/|%name/|g" global-tags/Makefile.am plugins/class-gen/Makefile.am
%{__perl} -pi -e "s| %_name\.| %name.|g" mime/Makefile.am
%{__perl} -pi -e "s|^GETTEXT_PACKAGE=%_name$|GETTEXT_PACKAGE=%name|" configure.in
%{__perl} -pi -e 's|update-mime-database .*;|	echo;|' mime/Makefile.am

%build
%__rm -f missing
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
    --disable-static \
    --enable-plugin-glade \
    --enable-plugin-valgrind \
    --enable-plugin-scintilla \
    --enable-plugin-sourceview \
    --enable-plugin-class-inheritance \
    --enable-final \
    --enable-optimize \
    --enable-gtk-doc
%make

%install
rm -rf %{buildroot}
%makeinstall_std
cat global-tags/create_global_tags.sh | sed -e s/'PROGDIR=.'/'PROGDIR=\/usr\/bin'/ > %{buildroot}%{_datadir}/anjuta/scripts/create_global_tags.sh
chmod 755 %{buildroot}%{_datadir}/anjuta/scripts/create_global_tags.sh

mv $RPM_BUILD_ROOT%{_datadir}/applications/anjuta.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

desktop-file-install --vendor="" \
  --remove-key='Encoding' \
  --add-category="IDE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       pixmaps/anjuta_logo.png %{buildroot}%{_liconsdir}/%{pkgname}.png
convert -geometry 32x32 pixmaps/anjuta_logo.png %{buildroot}%{_iconsdir}/%{pkgname}.png
convert -geometry 16x16 pixmaps/anjuta_logo.png %{buildroot}%{_miconsdir}/%{pkgname}.png

%find_lang %{pkgname} --with-gnome

# remove unneeded and conflictive files
rm -f %{buildroot}%{_libdir}/libanjuta*.la \
      %{buildroot}%{_libdir}/libanjuta*.a \
      %{buildroot}%{_datadir}/mime/XMLnamespaces \
      %{buildroot}%{_datadir}/mime/aliases \
      %{buildroot}%{_datadir}/mime/globs \
      %{buildroot}%{_datadir}/mime/magic \
      %{buildroot}%{_datadir}/mime/subclasses
rm -rf %{buildroot}/%{_docdir}

%clean
rm -rf %{buildroot}

%define schemas anjuta-valgrind

%post
%update_menus
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor
%update_mime_database

%post -n %libname -p /sbin/ldconfig

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_mime_database

%postun -n %libname -p /sbin/ldconfig

%files -f %{pkgname}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_libdir}/glade3/modules/*
%{_libdir}/anjuta
%{_datadir}/anjuta
%{_datadir}/glade3/catalogs/*.xml
%{_datadir}/applications/%name.desktop
%{_datadir}/gtk-doc/html/libanjuta*
%{_datadir}/icons/gnome/*/mimetypes/*
%{_mandir}/man1/anjuta.1.*
%{_mandir}/man1/anjuta_launcher.1.*
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/pixmaps/anjuta
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/omf/anjuta-manual/*.omf
%{_liconsdir}/%{pkgname}.png
%{_iconsdir}/%{pkgname}.png
%{_miconsdir}/%{pkgname}.png
%{_datadir}/gnome/help/anjuta-manual/
%{_datadir}/gnome/help/anjuta-faqs/


%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%_includedir/libanjuta-1.0
%_libdir/pkgconfig/*.pc


%changelog
* Tue May 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-2mdv2009.0
+ Revision: 211722
- Patch2: link libegg with math library
- Patch0: fix build when underlinking is checked

* Tue May 27 2008 Funda Wang <fundawang@mandriva.org> 2.4.2-1mdv2009.0
+ Revision: 211510
- _disable_ld_no_undefined
- New version 2.4.2

* Tue Apr 15 2008 Funda Wang <fundawang@mandriva.org> 2.4.1-1mdv2009.0
+ Revision: 193583
- New version 2.4.1

* Wed Mar 12 2008 Funda Wang <fundawang@mandriva.org> 2.4.0-1mdv2008.1
+ Revision: 187134
- New version 2.4.0

* Tue Feb 26 2008 Frederik Himpe <fhimpe@mandriva.org> 2.3.5-1mdv2008.1
+ Revision: 175498
- Remove 3 patches (2 were not applied anyway, and the NLS
  compilation problem was already fixed upstream)
- New upstream version

* Sat Feb 16 2008 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2008.1
+ Revision: 169316
- New upstream version
- Enable parallel build, upstream made it work again for this release

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 2.3.3-1mdv2008.1
+ Revision: 161427
- New version 2.3.3

* Fri Feb 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.2-2mdv2008.1
+ Revision: 161172
- rebuild for new libbfd

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 2.3.2-1mdv2008.1
+ Revision: 155597
- enable glade plugin
- New version 2.3.2

* Wed Dec 26 2007 Funda Wang <fundawang@mandriva.org> 2.3.1-3mdv2008.1
+ Revision: 137848
- fix bug#36348: requires autogen
- fix bug#36350: postscript is not needed
- fix bug#36351: suggest glademm-devel
- fix bug#36252: suggests glade3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Funda Wang <fundawang@mandriva.org> 2.3.1-2mdv2008.1
+ Revision: 114691
- fix file list
- app/*.la should belongs to main package acturally
- New version 2.3.1

* Mon Nov 12 2007 Funda Wang <fundawang@mandriva.org> 2.3.0-2mdv2008.1
+ Revision: 108196
- build against neon0.26
- rebuild for new lzma

* Sat Nov 03 2007 trem <trem@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 105540
- update to 2.3.0

* Thu Oct 25 2007 Jérôme Soyer <saispo@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 101930
- New release

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 2.2.1-3mdv2008.1
+ Revision: 100922
- fix post script
- Update description

* Mon Sep 17 2007 Funda Wang <fundawang@mandriva.org> 2.2.1-2mdv2008.0
+ Revision: 88868
- fix icon

* Fri Sep 14 2007 Funda Wang <fundawang@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 85466
- no more scrollkeeper
- more clear file list
- clean BR
- Don't provides gnome-build
- BR gnome-build-devel 0.2.0
- New version 2.2.1
- move .pc file into devel package

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%{_datadir}/man by %%{_mandir}!

* Fri Jun 29 2007 Funda Wang <fundawang@mandriva.org> 2.2.0-1mdv2008.0
+ Revision: 45784
- fix file list
- New version

* Fri Jun 29 2007 Funda Wang <fundawang@mandriva.org> 2.1.3-3mdv2008.0
+ Revision: 45679
- Rebuild against new wnck
- do not obsolete gnome-build anymore
  new devel package policy

* Sun May 13 2007 Funda Wang <fundawang@mandriva.org> 2.1.3-2mdv2008.0
+ Revision: 26538
- Buildrequires glade3

* Sun May 13 2007 Funda Wang <fundawang@mandriva.org> 2.1.3-1mdv2008.0
+ Revision: 26522
- finally fix file list
- no more *so.* ?
- More dependencies to build svn plugin and valgrid debug
- gtksourceview based editor is a killer feature.
- New upstream version.

* Thu May 03 2007 Lenny Cartier <lenny@mandriva.org> 2.1.2-3mdv2008.0
+ Revision: 20939
- Buildrequires

  + Funda Wang <fundawang@mandriva.org>
    - Drop schema again :??
    - added unpacked schema

* Thu May 03 2007 Funda Wang <fundawang@mandriva.org> 2.1.2-1mdv2008.0
+ Revision: 20850
- BuildRequires gnome-build 0.1.4
- BuildRequires gnome-doc-utils

  + Lenny Cartier <lenny@mandriva.org>
    - Update to 2.0.2


* Sun Sep 03 2006 Jerome Soyer <saispo@mandriva.org> 2.0.2-2mdv2007.0
- Fix schemas error

* Sun Sep 03 2006 Jerome Soyer <saispo@mandriva.org> 2.0.2-1mdv2007.0
- New release 2.0.2
- Remove patch3 and patch4
- Add patch5, patch6, patch7
- Add BuildRequires

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-10mdv2007.0
- Rebuild with latest dbus
- xdg menu

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 2.0.1-9mdk
- obsoletes and provides gnome-build 
	o (thanks Nicolas Lcureuil <neoclust@mandriva.org>)

* Thu Feb 23 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-8mdk
- fix deps

* Thu Feb 23 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-7mdk
- added fixes from Shiva Huang <shivahuang@gmail.com>:
   - fix bug about working with gtk+ 2.8.9 (P3, #20280)
   - fix pango > 1.8.1 rendering issues (P4, #18124)
   - fix menu entry (#16144)

* Thu Feb 23 2006 Shiva Huang <shivahuang@gmail.com> 2.0.1-7shiva
- fix bug about working with gtk+ 2.8.9 (Patch 3)
- fix pango > 1.8.1 rendering issues (Patch 4)
- fix menu entry

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-6mdk
- fix deps

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-5mdk
- make it buildrequire subversion so that the libsvn package is pulled in

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-4mdk
- fix buid (P0)

* Sun Nov 27 2005 Lenny Cartier <lenny@mandriva.com> 2.0.1-3mdk
- rebuild & reupload but I really don't know why some packages are disapearing...

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-2mdk
- rebuilt against new openldap-2.3.6 libs

* Wed Jun 29 2005 Lenny Cartier <lenny@mandriva.com> 2.0.1-1mdk
- 2.0.1

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 2.0.0-3mdk
- move plugins to main packages

* Fri May 20 2005 Lenny Cartier <lenny@mandriva.com> 2.0.0-2mdk
- mklibname

* Wed May 18 2005 Austin Acton <austin@mandriva.org> 2.0.0-1mdk
- from Tigrux <tigrux@ximian.com> :
  - New version 2.0.0
  - Renamed to anjuta2 and added Conflict with anjuta < 2
  - Create tags in %%post

* Fri Mar 25 2005 Couriousous <couriousous@mandrake.org> 1.2.2-3mdk
- Amd64 fixes (libdir + patch from debian)
- Fix menu

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Rebuild

* Thu Apr 22 2004 Michael Scherer <misc@mandrake.org> 1.2.2-1mdk 
- 1.2.2
- rpmbuildupdate aware

* Thu Feb 12 2004 Abel Cheung <deaddog@deaddog.org> 1.2.1-1mdk
- New version
- Patch1: parallel make now works
- Add more dependencies required by various kind of projects

* Mon Dec 08 2003 Michael Scherer <misc@mandrake.org> 1.2.0-1mdk
- 1.2.0
- Remove patch2, not used

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.98-2mdk
- Franck Villaume <fvill@freesurf.fr>
  - uncomment line BuildRequires : scrollkeeper

* Tue Nov 11 2003 Abel Cheung <deaddog@deaddog.org> 1.1.98-1mdk
- 1.1.98
- Rediff patch0
- some BuildRequires fixes for 64bit arch

